##
##  aspell.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_aspell     0.50.3
%define       V_aspell_en  0.51-0
%define       V_aspell_de  0.50-2

#   package information
Name:         aspell
Summary:      Interactive Spell Checker
URL:          http://aspell.net/
Vendor:       Kevin Atkinson
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Text
License:      GPL
Version:      %{V_aspell}
Release:      20030103

#   list of sources
Source0:      ftp://ftp.gnu.org/gnu/aspell/aspell-%{V_aspell}.tar.gz
Source1:      ftp://ftp.gnu.org/gnu/aspell/aspell-en-%{V_aspell_en}.tar.bz2
Source2:      ftp://ftp.gnu.org/gnu/aspell/aspell-de-%{V_aspell_de}.tar.bz2

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021204, gcc, ncurses
PreReq:       OpenPKG, openpkg >= 20021204, ncurses, perl
AutoReq:      no
AutoReqProv:  no

%description
    GNU Aspell is a Free and Open Source spell checker designed to
    eventually replace Ispell. It can either be used as a library
    or as an independent spell checker. Its main feature is that it
    does a much better job of coming up with possible suggestions
    than just about any other spell checker out there for the English
    language, including Ispell and Microsoft Word. It also has many
    other technical enhancements over Ispell such as using shared memory
    for dictionaries and intelligently handling personal dictionaries
    when more than one Aspell process is open at once.

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build
    #   build GNU aspell
    ( cd aspell-%{V_aspell}
      CC="%{l_cc}" \
      CXX="%{l_cxx}" \
      CFLAGS="%{l_cflags -O}" \
      CXXFLAGS="%{l_cxxflags -O}" \
      CPPFLAGS="%{l_cppflags}" \
      ./configure \
          --prefix=%{l_prefix} \
          --sysconfdir=%{l_prefix}/etc/aspell \
          --enable-curses-include=%{l_prefix}/include \
          --enable-curses="-L%{l_prefix}/lib -lncurses" \
          --disable-shared
      %{l_make} %{l_mflags -O}
    )

%install
    rm -rf $RPM_BUILD_ROOT

    #   install GNU aspell
    ( cd aspell-%{V_aspell}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
      %{l_shtool} subst \
          -e 's;/usr/bin/perl;%{l_prefix}/bin/perl;' \
          $RPM_BUILD_ROOT%{l_prefix}/bin/aspell-import
      rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
      strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
      %{l_shtool} mkdir -f -p -m 755 \
          $RPM_BUILD_ROOT%{l_prefix}/lib/aspell
    )

    #   prepare dictionary installation
    ( echo "ASPELL = $RPM_BUILD_ROOT%{l_prefix}/bin/aspell"
      ASPELL_FLAGS="--dict-dir=$RPM_BUILD_ROOT%{l_prefix}/lib/aspell"
      ASPELL_FLAGS="$ASPELL_FLAGS --data-dir=$RPM_BUILD_ROOT%{l_prefix}/share/aspell"
      echo "ASPELL_FLAGS = $ASPELL_FLAGS"
      echo "WORD_LIST_COMPRESS = $RPM_BUILD_ROOT%{l_prefix}/bin/word-list-compress"
      echo "DESTDIR = $RPM_BUILD_ROOT"
      echo "dictdir = %{l_prefix}/lib/aspell"
      echo "datadir = %{l_prefix}/share/aspell"
    ) > Makefile.head

    #   install GNU aspell English (EN) dictionary
    ( cd aspell-en-%{V_aspell_en}
      cat ../Makefile.head Makefile.pre > Makefile
      %{l_make} %{l_mflags} install
    )

    #   install GNU aspell German (DE) dictionary
    ( cd aspell-de-%{V_aspell_de}
      cat ../Makefile.head Makefile.pre > Makefile
      %{l_make} %{l_mflags} install
    )

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

